export DS_OS_DIR="$(realpath $(dirname $BASH_SOURCE)/../..)"

if [ ! -d ${DS_OS_DIR}/.repo ]; then
    echo "[ERROR] ds-os checkout not found"
    exit 1
fi

export PREFIX=$DS_OS_DIR/sysroot

# pkg-config --list-all to find packages installed in $PREFIX
export PKG_CONFIG_PATH=$PREFIX/lib/pkgconfig

# dsm-api-v2
export DSDATA_PATH=$PREFIX/share/digitalstrom
export PYTHONPATH=$PYTHONPATH:$PREFIX/lib/python2.7/dist-packages
#export LUA_CPATH=$LUA_CPATH:$PREFIX/lib/lua/*
export LUA_CPATH=$PREFIX/lib/lua/5.2/?.so

# find libraries installed in PREFIX, e.g. needed when running dss
export LD_LIBRARY_PATH=$PREFIX/lib
export PATH=$PATH:$PREFIX/bin

# MacOS X:
export DYLD_LIBRARY_PATH=$PREFIX/lib
