/*
    Copyright (c) 2019 digitalSTROM.org, Zurich, Switzerland

    This file is part of digitalSTROM Server.

    digitalSTROM Server is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    digitalSTROM Server is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with digitalSTROM Server. If not, see <http://www.gnu.org/licenses/>.
*/
#include "model.h"
#include <ds/catch/catch.h>
#include <ds/log.h>

namespace {

static const char *TAGS = "[dsModelModel][dsModel]";

SCENARIO("ZoneApplicationsStatus", TAGS) {
  SECTION("is serialized as array by id") {
    CHECK(ds::toJson(dsModel::ZoneApplicationsStatus{.lights = {.status = dsModel::LightsStatusStatus::on}}) ==
          R"([{"status":"on","id":"lights"}])");
  }
}

} // namespace
