#pragma once

#include <optional>
#include "common.h"

namespace ds {

std::string urlDecode(gsl::cstring_span);
std::string urlEncode(std::string_view);

/// parses argument from http query
std::optional<std::string> tryHttpQueryArg(gsl::cstring_span query, gsl::cstring_span name);
std::string httpQueryArg(gsl::cstring_span query, gsl::cstring_span name);

} // namespace ds
