#pragma once

#include <ds-backend/connector.h>
#include <ds/asio/resource-fwd.h>
#include <event.h>

namespace dsBackend {

class Module : boost::noncopyable {
public:
  virtual ~Module() = default;

  virtual dsBackend::Connector& bus() = 0;
};
std::unique_ptr<Module> makeModule(ds::asio::ResourceBase&, dsBackend::ConnectorHook&, dss::EventInterpreter&,
                                   dss::Apartment&, dsApi::EventHub&);

} // namespace dsBackend
